Skip to main content
GET
/
api
/
transactions
List Transactions
curl --request GET \
  --url https://api.retailreadyai.com/api/transactions \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "page": 1,
    "page_size": 50,
    "total_count": 22,
    "transactions": [
      {
        "action_type": "Purchase order received",
        "brand_id": "79b7fcfa-4a0b-45e9-a30c-3c1620af81e6",
        "carton_id": null,
        "duration_ms": 257,
        "error_message": null,
        "execution_status": "SUCCESS",
        "facility_id": "c7bebef5-1d9f-4973-b03f-9fb2f02dfabb",
        "load_id": null,
        "order_id": null,
        "request_method": "GET",
        "request_payload": null,
        "request_url": "https://api.retailreadyai.com/api/transactions",
        "response_body": {
          "limit": 50,
          "orders": [
            {
              "address": {
                "address1": "123 Main St",
                "address2": "Suite 101",
                "city": "Springfield",
                "company_name": "Example Retailer Inc",
                "country": "United States",
                "country_code": "USA",
                "id": "addr_example1",
                "name": "Example Retailer",
                "phone_number": "5555550100",
                "postal_code": "62701",
                "state": "Illinois",
                "state_code": "IL"
              },
              "brand_discounts": [],
              "created_at": "2026-05-09T22:58:44.000Z",
              "customer": {
                "first_name": "Jane",
                "last_name": "Doe"
              },
              "display_id": "EXAMPLE-001",
              "expected_ship_date": "2026-05-14T22:58:44.000Z",
              "covered_shipping_cost": {
                "amount_minor": 0,
                "currency": "USD"
              },
              "free_shipping_reason": "FREE_SHIPPING",
              "has_pending_retailer_cancellation_request": false,
              "id": "ord_example1",
              "is_free_shipping": true,
              "is_fulfilled_externally": false,
              "items": [
                {
                  "created_at": "2026-05-09T22:24:08.000Z",
                  "customizations": [],
                  "discounts": [],
                  "id": "itm_example1",
                  "includes_tester": false,
                  "order_id": "ord_example1",
                  "price": {
                    "amount_minor": 2520,
                    "currency": "USD"
                  },
                  "price_cents": 2520,
                  "product_id": "prd_example1",
                  "product_name": "Example Product 1",
                  "quantity": 6,
                  "sku": "SKU-001",
                  "state": "PROCESSING",
                  "updated_at": "2026-05-09T22:24:08.000Z",
                  "variant_id": "var_example1",
                  "variant_name": "default"
                }
              ],
              "payout_costs": {
                "commission": {
                  "amount_minor": 11002,
                  "currency": "USD"
                },
                "commission_bps": 1500,
                "commission_cents": 11002,
                "commission_flat_fee": {
                  "amount_minor": 0,
                  "currency": "USD"
                },
                "damaged_and_missing_items": {
                  "amount_minor": 0,
                  "currency": "USD"
                },
                "net_tax": {
                  "amount_minor": 0,
                  "currency": "USD"
                },
                "payout_fee": {
                  "amount_minor": 1790,
                  "currency": "USD"
                },
                "payout_fee_bps": 240,
                "payout_fee_cents": 1790,
                "payout_flat_fee": {
                  "amount_minor": 30,
                  "currency": "USD"
                },
                "payout_protection_fee": {
                  "amount_minor": 0,
                  "currency": "USD"
                },
                "shipping_subsidy": {
                  "amount_minor": 0,
                  "currency": "USD"
                },
                "subtotal_after_brand_discounts": {
                  "amount_minor": 73350,
                  "currency": "USD"
                },
                "taxes": [],
                "total_brand_discounts": {
                  "amount_minor": 0,
                  "currency": "USD"
                },
                "total_payout": {
                  "amount_minor": 60558,
                  "currency": "USD"
                }
              },
              "processing_at": "2026-05-09T23:00:10.000Z",
              "purchase_order_number": "PO-12345",
              "retailer_id": "ret_example1",
              "ship_after": "2026-05-14T22:58:44.000Z",
              "shipments": [],
              "source": "MARKETPLACE",
              "state": "PROCESSING",
              "updated_at": "2026-05-14T00:15:24.000Z"
            }
          ],
          "page": 1
        },
        "response_status": 200,
        "retailer_id": "a7ef7e81-8da3-4b82-8f0b-ee06998c9171",
        "transaction_id": "57713ed9-57c5-4e80-9663-a487b5c5fe6d",
        "created_at": "2026-05-09T22:58:44.000Z",
        "updated_at": "2026-05-14T00:15:24.000Z"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer
default:1

Page number (1-indexed). Defaults to 1.

page_size
integer
default:50

Number of items per page. Defaults to 50, capped at 100.

Required range: x <= 100
transaction_id
string<uuid>

Filter to a single transaction by its UUID.

order_id
string<uuid>

Filter to transactions associated with this order UUID.

po_number
string

Filter to transactions associated with this purchase order number.

Response

Transactions retrieved successfully

Paginated list response.

data
object